%global svnrev  r2306
Name:           grfcodec
Version:        0.9.11
Release:        0.4.%{svnrev}%{?dist}
Summary:        A suite of programs to modify Transport Tycoon Deluxe's GRF files
Group:          Development/Tools
License:        GPLv2+
URL:            http://www.ttdpatch.net/grfcodec/
# svn export -r2294 svn://svn.ttdpatch.net/misc/grfcodec
# tar -czf grfcodec-r2294.tar.gz grfcodec
Source0:        grfcodec-%{svnrev}.tar.gz
# ignore upx failures; don't pass -O3 to gcc
Patch0:         fedora-build.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  boost-devel
BuildRequires:  upx


%description
A suite of programs to modify Transport Tycoon Deluxe's GRF files.


%prep
%setup -q -n %{name}
%patch0 -p 1 -b .fedora

for f in *.txt; do
  iconv -f iso8859-1 -t utf-8 $f >$f.conv 
  touch -r $f $f.conv
  mv $f.conv $f
done


%build
V=1 CFLAGAPP="%{optflags}" make %{?_smp_mflags}


%install
rm -rf %{buildroot}
for file in grfcodec grfdiff grfmerge; do
  install -D -m 755 $file %{buildroot}%{_bindir}/$file
done


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc Changelog COPYING grfcodec.txt grftut.txt grf.txt todo.txt
%{_bindir}/*


%changelog
* Sat Mar 20 2010 Iain Arnell <iarnell@gmail.com> 0.9.11-0.4.r2306
- update to r2306 (fixes off-by-one error in byte escape)

* Fri Jan 15 2010 Iain Arnell <iarnell@gmail.com> 0.9.11-0.4.r2294
- update to r2294
- drop compile.patch fixes for gcc 4.4

* Mon Aug 24 2009 Iain Arnell <iarnell@gmail.com> 0.9.11-0.4.r2177
- update to current svn revision to remove "status updates"

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.11-0.3.r2111
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun May 03 2009 Iain Arnell <iarnell@gmail.com> 0.9.11-0.2.r2111
- fix license tag (GPLv2+)
- don't pass -O3 to gcc
- doesn't BR subversion

* Sat May 02 2009 Iain Arnell <iarnell@gmail.com> 0.9.11-0.1.r2111
- initial release
